package com.hungraim.ism.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementVO;
import com.hungraim.ism.service.DisableService;
import com.hungraim.ltc.util.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 失能申请Controller
 *
 * @author czz
 */
@RestController
@RequestMapping("/disable")
@Slf4j
public class DisableController {

    @Autowired
    private DisableService disableService;

    /**
     * 待遇申请管理列表
     *
     * @param organId            适用机构代码
     * @param districtProvincial 所在省
     * @param districtCity       所在市
     * @param districtArea       所在区域
     * @param realName           参保人员姓名
     * @param certiCode          参保人身份证号码
     * @param treatmentType      待遇类型
     * @param applyStatus        审核状态
     * @return 待遇申请管理列表
     */
    @RequestMapping("/applicationManagementList")
    public Result<List<ApplicationManagementVO>> disableList(String organId, String districtProvincial, String districtCity, String districtArea, String realName, String certiCode, String treatmentType, String applyStatus) {
        IPage<ApplicationManagementVO> iPage = disableService.applicationManagementList(organId, districtProvincial, districtCity, districtArea, realName, certiCode, treatmentType, applyStatus, 1, 10);
        return Result.success(iPage.getRecords());
    }

}
