package com.hungraim.ism.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementVO;
import org.springframework.stereotype.Service;

/**
 * 失能申请Service
 *
 * @author czz
 */
@Service
public interface DisableService {

    /**
     * 查询所有资源对应的角色
     *
     * @param organId            适用机构代码
     * @param districtProvincial 所在省
     * @param districtCity       所在市
     * @param districtArea       所在区域
     * @param realName           参保人员姓名
     * @param certiCode          参保人身份证号码
     * @param treatmentType      待遇类型
     * @param applyStatus        审核状态
     * @return list
     */
    IPage<ApplicationManagementVO> applicationManagementList(String organId, String districtProvincial, String districtCity, String districtArea, String realName, String certiCode, String treatmentType, String applyStatus, int page, int pageSize);

}
